import request from '@/utils/request'

// 查询状态监控参数配置信息列表
export function listMonitorParameterConfig(query) {
  return request({
    url: '/manage/monitorParameterConfig/list',
    method: 'get',
    params: query
  })
}

// 查询状态监控参数配置信息详细
export function getMonitorParameterConfig(id) {
  return request({
    url: '/manage/monitorParameterConfig/' + id,
    method: 'get'
  })
}

// 新增状态监控参数配置信息
export function addMonitorParameterConfig(data) {
  return request({
    url: '/manage/monitorParameterConfig',
    method: 'post',
    data: data
  })
}

// 修改状态监控参数配置信息
export function updateMonitorParameterConfig(data) {
  return request({
    url: '/manage/monitorParameterConfig',
    method: 'put',
    data: data
  })
}

// 删除状态监控参数配置信息
export function delMonitorParameterConfig(id) {
  return request({
    url: '/manage/monitorParameterConfig/' + id,
    method: 'delete'
  })
}
